StarObjectSmallGraphicInternal::SdrGraphicOLE Class Reference documentation

StarObjectSmallGraphicInternal::SdrGraphicOLE Class Referencefinal

Internal: virtual class to store a Sdr graphic OLE. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicOLE:

## Public Member Functions
| SdrGraphicOLE (int id)
| constructor
| ~SdrGraphicOLE () final
| destructor
std::string | print () const final
| basic print function
bool | send (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object, bool inMasterPage) final
| try to send the graphic to the listener
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicRect
| SdrGraphicRect (int id)
| constructor
| ~SdrGraphicRect () override
| destructor
bool | send (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object, bool inMasterPage) override
| try to send the graphic to the listener
std::string | print () const override
| basic print function
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicText
| SdrGraphicText (int id)
| constructor
| ~SdrGraphicText () override
| destructor
void | updateTransformProperties (librevenge::RVNGPropertyList &list, double relUnit) const
| try to update the transformation
std::string | print () const override
| basic print function
bool | sendTextZone (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object)
| try to send the text zone to the listener
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
| SdrGraphicAttribute (int id)
| constructor
| ~SdrGraphicAttribute () override
| destructor
void | updateStyle (StarState &state, STOFFListenerPtr listener) const
| try to update the style
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor
| ~SdrGraphic () override
| destructor
std::string | getName () const override
| return the object name
StarState | getState (StarObject &object, STOFFListenerPtr listener, STOFFFrameStyle const &) const
| return a pool corresponding to an object
void | updateStyle (StarState &state, STOFFListenerPtr) const
| try to update the graphic style
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor

## Public Attributes
librevenge::RVNGString | m_oleNames [2]
| the persist and the program name
std::shared_ptr< StarGraphicStruct::StarGraphic > | m_graphic
| the graphic
std::shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicRect
int | m_eckRag
| the eckRag?
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicText
int | m_textKind
| the text kind
STOFFBox2i | m_textRectangle
| the text rectangle
int | m_textDrehWink
| the dreh wink: rotation?
int | m_textShearWink
| the shear wink
std::shared_ptr< OutlinerParaObject > | m_outlinerParaObject
| the outliner object
STOFFBox2i | m_textBound
| the text bound
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
std::vector< std::shared_ptr< StarItem > > | m_itemList
| the list of star item
librevenge::RVNGString | m_sheetStyle
| the sheet style name
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox
int | m_layerId
| the layer id
STOFFVec2i | m_anchorPosition
| the anchor position
std::vector< GluePoint > | m_polygon
| a polygon
bool | m_flags [6]
| a list of flag
std::vector< std::shared_ptr< StarObjectSmallGraphicInternal::SDRUserData > > | m_userDataList
| the user data list
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphicOLE const &graph)
| print object data

## Detailed Description

Internal: virtual class to store a Sdr graphic OLE.

## Constructor & Destructor Documentation

## ◆ SdrGraphicOLE()

StarObjectSmallGraphicInternal::SdrGraphicOLE::SdrGraphicOLE | ( | int | id | ) |
| inlineexplicit

constructor

Referenced by operator<<.

## ◆ ~SdrGraphicOLE()

StarObjectSmallGraphicInternal::SdrGraphicOLE::~SdrGraphicOLE | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

std::string StarObjectSmallGraphicInternal::SdrGraphicOLE::print | ( |  | ) | const
| inlinefinalvirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphicAttribute.

Referenced by print().

## ◆ send()

bool StarObjectSmallGraphicInternal::SdrGraphicOLE::send | ( | STOFFListenerPtr & | listener,
|  | STOFFFrameStyle const & | pos,
|  | StarObject & | object,
|  | bool | inMasterPage )
| inlinefinalvirtual

try to send the graphic to the listener

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SdrGraphicOLE const & | graph )
| friend

print object data

## Member Data Documentation

## ◆ m_graphic

std::shared_ptr<StarGraphicStruct::StarGraphic> StarObjectSmallGraphicInternal::SdrGraphicOLE::m_graphic

the graphic

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectOLE(), SdrGraphicOLE(), and send().

## ◆ m_oleNames

librevenge::RVNGString StarObjectSmallGraphicInternal::SdrGraphicOLE::m_oleNames[2]

the persist and the program name

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectOLE(), and send().

## ◆ m_oleParser

std::shared_ptr<STOFFOLEParser> StarObjectSmallGraphicInternal::SdrGraphicOLE::m_oleParser

the ole parser

Referenced by StarObjectSmallGraphic::readSVDRObjectOLE(), SdrGraphicOLE(), and send().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx